SSL_SESSION_IS_RESUMABLE(3)

NAME
SSL_SESSION_is_resumable - determine whether an SSL_SESSION object can be used for resumption

SYNOPSIS
#include <openssl/ssl.h>
int
SSL_SESSION_is_resumable(const SSL_SESSION *session);

DESCRIPTION
SSL_SESSION_is_resumable() determines whether the session object can be used to resume a session. Note that attempting to resume with a non-resumable session will result in a full handshake.

RETURN VALUES
SSL_SESSION_is_resumable() returns 1 if the session is resumable or 0 otherwise. It always returns 0 with LibreSSL.

SEE ALSO
ssl(3), SSL_CTX_sess_set_new_cb(3), SSL_get_session(3)

HISTORY
SSL_SESSION_is_resumable() first appeared in OpenSSL 1.1.1 and has been available since OpenBSD 7.0.